# Labels docs

This docs contains information on how we use GitHub labels on issues and pull requests.

## Labels

| Name | Issue | PR | Usage |
|---|---|---|---|
| `bug` | :white_check_mark: | | Indentifies reported bugs |
| `cherry pick required` | | :white_check_mark: | Indentifies pull requests that need to be cherry picked |
| `cherry pick completed` | | :white_check_mark: | Indentifies pull requests that were successfully cherry picked |
| `dependencies` | | :white_check_mark: | Indentifies pull requests updating a dependency |
| `documentation` | :white_check_mark: | | Indentifies issues related to documentation |
| `documentation required` | | :white_check_mark: | Indentifies pull requests that need to be documented |
| `documentation completed` | | :white_check_mark: | Indentifies pull requests that were successfully documented |
| `duplicate` | :white_check_mark: | :white_check_mark: | Identifies a duplicate issue or pull request |
| `enhancement` | :white_check_mark: | | Indentifies feature requests |
| `github_actions` | | :white_check_mark: | Indentifies pull requests related to GitHub actions |
| `go` | | :white_check_mark: | Indentifies pull requests related to `golang` packages |
| `good first issue` | :white_check_mark: | | Indentifies issues that are well suited for new contributors |
| `help want` | :white_check_mark: | | Indentifies issues that need help from the community |
| `release notes required` | | :white_check_mark: | Indentifies pull requests that need release notes |
| `release notes completed` | | :white_check_mark: | Indentifies pull requests that have a corresponding release note |
| `triage` | :white_check_mark: | | Indentifies issues that need to be triaged |
