# Kyverno JSON [![Tweet](https://img.shields.io/twitter/url/http/shields.io.svg?style=social)](https://twitter.com/intent/tweet?text=Kyverno%20everywhere%21%20%0A%0AEasily%20validate%20any%20JSON%20or%20YAML%20payload%20using%20Kyverno.%0A%0A&url=https://github.com/kyverno/kyverno-json/%0A%0A&hashtags=kubernetes,devops)

**Kyverno everywhere! 🎉**

`kyverno-json` applies Kyverno policies to any JSON or YAML payload.

<a href="https://kyverno.github.io/kyverno-json" rel="https://kyverno.github.io/kyverno-json">![logo](.assets/kyverno-json-horizontal.png)</a>

Use Kyverno's powerful, declarative, low-code policies to validate any runtime or configuration data that can be converted to JSON including:
* Terraform files
* Dockerfiles
* Cloud configurations
* Service authorization requests

Run `kyverno-json` as a CLI, or a web application with a REST API. Or, integrate as a Golang library.

**WARNING: ⚠️ Kyverno JSON is in early development and changes may not be backward compatible.**

## 📙 Documentation

Documentation is available at: https://kyverno.github.io/kyverno-json

👉 **[Quick Start](https://kyverno.github.io/kyverno-json/latest/quick-start/)**

👉 **[Sample Policies](https://kyverno.github.io/kyverno-json/latest/catalog/)**

👉 **[Playground](https://kyverno.github.io/kyverno-json/latest/playground/)**

## 🙋‍♂️ Getting Help

We are here to help!

👉 For feature requests and bugs, file an [issue](https://github.com/kyverno/kyverno-json/issues).

👉 For discussions or questions, join the [Kyverno Slack channel](https://slack.k8s.io/#kyverno).

👉 To get notified on updates ⭐️ [star this repository](https://github.com/kyverno/kyverno-json/stargazers).

## ➕ Contributing

Thanks for your interest in contributing to Kyverno! Here are some steps to help get you started:

✔ Look through the [good first issues](https://github.com/kyverno/kyverno-json/labels/good%20first%20issue) list. Add a comment with `/assign` to request the assignment of the issue.

✔ Check out the Kyverno [Community page](https://kyverno.io/community/) for other ways to get involved.

✔ Read the developer documentation in the [.docs](./.docs/) folder.

## License

Copyright 2023, the Kyverno project. All rights reserved. kyverno-json is licensed under the [Apache License 2.0](LICENSE).
