# kyverno-json

Kyverno for JSON

![Version: 0.1.0](https://img.shields.io/badge/Version-0.1.0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: v0.1.0](https://img.shields.io/badge/AppVersion-v0.1.0-informational?style=flat-square)

## Kyverno everywhere! 🎉

`kyverno-json` applies Kyverno policies to any JSON or YAML payload.

<a href="https://kyverno.github.io/kyverno-json" rel="https://kyverno.github.io/kyverno-json">![logo](website/docs/static/kyverno-json-horizontal.png)</a>

Use Kyverno's powerful, declarative, low-code policies to validate any runtime or configuration data that can be converted to JSON including:
* Terraform files
* Dockerfiles
* Cloud configurations
* Service authorization requests

This chart deploys the `kyverno-json` [API](https://kyverno.github.io/kyverno-json/webapp).

## 📙 Documentation

Documentation is available at: https://kyverno.github.io/kyverno-json

👉 **[Quick Start](https://kyverno.github.io/kyverno-json/quick-start/)**

👉 **[Sample Policies](https://kyverno.github.io/kyverno-json/catalog/)**

👉 **[Playground](https://kyverno.github.io/kyverno-json/playground/)**

## Installing the Chart

Add `kyverno-json` Helm repository:

```shell
helm repo add kyverno-json https://kyverno.github.io/kyverno-json/
```

Install `kyverno-json` Helm chart:

```shell
helm install kyverno-json --namespace kyverno --create-namespace kyverno-json/kyverno-json
```

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| nameOverride | string | `""` | Name override |
| fullnameOverride | string | `""` | Full name override |
| crds.install | bool | `true` | Whether to have Helm install the CRDs, if the CRDs are not installed by Helm, they must be added before policies can be created |
| crds.annotations | object | `{}` | Additional CRDs annotations |
| crds.labels | object | `{}` | Additional CRDs labels |
| replicaCount | int | `1` | Number of pod replicas |
| image.registry | string | `"ghcr.io"` | Image registry |
| image.repository | string | `"kyverno/kyverno-json"` | Image repository |
| image.pullPolicy | string | `"IfNotPresent"` | Image pull policy |
| image.tag | string | `nil` | Image tag (will default to app version if not set) |
| imagePullSecrets | list | `[]` | Image pull secrets |
| priorityClassName | string | `""` | Priority class name |
| serviceAccount.create | bool | `true` | Create service account |
| serviceAccount.annotations | object | `{}` | Service account annotations |
| serviceAccount.name | string | `""` | Service account name (required if `serviceAccount.create` is `false`) |
| podAnnotations | object | `{}` | Pod annotations |
| podSecurityContext | object | `{"fsGroup":2000}` | Pod security context |
| securityContext | object | See [values.yaml](values.yaml) | Container security context |
| service.type | string | `"ClusterIP"` | Service type |
| service.port | int | `8080` | Service port |
| ingress.enabled | bool | `false` | Enable ingress |
| ingress.className | string | `""` | Ingress class name |
| ingress.annotations | object | `{}` | Ingress annotations |
| ingress.hosts | list | `[]` | Ingress hosts |
| ingress.tls | list | `[]` | Ingress tls |
| resources.limits | string | `nil` | Container resource limits |
| resources.requests | string | `nil` | Container resource requests |
| autoscaling.enabled | bool | `false` | Enable autoscaling |
| autoscaling.minReplicas | int | `1` | Min number of replicas |
| autoscaling.maxReplicas | int | `100` | Max number of replicas |
| autoscaling.targetCPUUtilizationPercentage | int | `80` | Target CPU utilisation |
| autoscaling.targetMemoryUtilizationPercentage | string | `nil` | Target Memory utilisation |
| nodeSelector | object | `{}` | Node selector |
| tolerations | list | `[]` | Tolerations |
| affinity | object | `{}` | Affinity |
| config.gin.mode | string | `"release"` | Gin mode (`release` or `debug`) |
| config.gin.cors | bool | `false` | Gin cors middleware |
| config.gin.logger | bool | `false` | Gin logger middleware |
| config.gin.maxBodySize | int | `2097152` | Gin max body size |
| config.server.host | string | `"0.0.0.0"` | Server host |
| config.server.port | int | `8080` | Server port |
| config.cluster | string | `nil` |  |

## Source Code

* <https://github.com/kyverno/kyverno-json>

## Requirements

Kubernetes: `>=1.16.0-0`

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| Nirmata | <cncf-kyverno-maintainers@lists.cncf.io> | <https://kyverno.io/> |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.11.0](https://github.com/norwoodj/helm-docs/releases/v1.11.0)
